import * as vue from 'vue';
import { SetupContext, VNode } from 'vue';
import { a as MessageID, b as MessageDescriptor, C as CustomMessageValues, c as MessageContent, e as MessageValues } from './messages-4c34bad5.js';
import '@formatjs/intl';
import '@formatjs/icu-messageformat-parser';
import '@braw/extended-intl';

interface CommonProps {
    tags?: string[];
}
interface PropsWithMessageID<I extends MessageID> extends CommonProps {
    messageId: I | MessageDescriptor<I>;
    values?: CustomMessageValues<I>;
}
interface PropsWithMessage extends CommonProps {
    message: MessageContent;
    values?: MessageValues;
}
declare function IntlFormatted<I extends MessageID>(props: PropsWithMessageID<I> | PropsWithMessage, context: SetupContext): vue.VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>[];

interface Props {
    of: VNode[] | VNode;
}
declare function Fragment(props: Props): VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>[];

export { Fragment, IntlFormatted };
