'use strict';

const useI18n = require('./shared/vue-intl-controller.be198c5f.cjs');
require('vue');
require('./shared/vue-intl-controller.335464fe.cjs');

/**
 * A composable to retrieve the format function aliases from the installed
 * controller in the current app.
 *
 * @deprecated Please use `const { formats } = useI18n()` instead.
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
function useFormatters() {
  return useI18n.useI18n().formats;
}

/**
 * A composable to retrieve function to format a message from the installed
 * controller in the current app.
 *
 * @deprecated Please use `const { formatMessage } = useI18n()` instead.
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
function useTranslate() {
  return useI18n.useI18n().formatMessage;
}

exports.useI18n = useI18n.useI18n;
exports.useFormatters = useFormatters;
exports.useTranslate = useTranslate;
