import { u as useI18n } from './shared/vue-intl-controller.6d40f23e.mjs';
import 'vue';
import './shared/vue-intl-controller.d1541efa.mjs';

/**
 * A composable to retrieve the format function aliases from the installed
 * controller in the current app.
 *
 * @deprecated Please use `const { formats } = useI18n()` instead.
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
function useFormatters() {
  return useI18n().formats;
}

/**
 * A composable to retrieve function to format a message from the installed
 * controller in the current app.
 *
 * @deprecated Please use `const { formatMessage } = useI18n()` instead.
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
function useTranslate() {
  return useI18n().formatMessage;
}

export { useFormatters, useI18n, useTranslate };
